| GET | /RestApi/personalizations/render |
|---|
export class ControlDataMessage
{
public PageNodeId: string;
public PageDataId: string;
public Controls: string[];
public Url: string;
public PageNodeKey: string;
public CorrelationId: string;
public constructor(init?: Partial<ControlDataMessage>) { (Object as any).assign(this, init); }
}
TypeScript ControlDataMessage DTOs
To override the Content-type in your clients, use the HTTP Accept Header, append the .xml suffix or ?format=xml
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
GET /RestApi/personalizations/render HTTP/1.1 Host: www.asg.com.au Accept: application/xml
HTTP/1.1 200 OK
Content-Type: application/xml
Content-Length: length
<ArrayOfControlDataResponse xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Telerik.Sitefinity.Personalization.Impl.Web.Services.Dto.Response">
<ControlDataResponse>
<Content>String</Content>
<ControlId>String</ControlId>
</ControlDataResponse>
</ArrayOfControlDataResponse>